Subject: Re: [PATCH v2 17/20] transport-helper: change import semantics

From: Jonathan Nieder <[email-masked]>
Date: Mon, 4 Jul 2011 17:37:59 -0500

Sverre Rabbelier wrote:
> On Mon, Jul 4, 2011 at 23:58, Jonathan Nieder <[email-masked]> wrote:

>> It would mean no change compared to the current behavior. :)
[...]
> With the only difference that currently that \n signifies the end of
> the entire stream, whereas now it will mean the end of the imports?

Exactly.  The git-remote-testgit part of the patch would be pretty
similar to what you have and could even go earlier in the series if
wanted (since it does not require transport-helper changes), while the
transport-helper part should be unnecessary as long as patch 15/20
"use the new done feature where possible" does not remove the \n in
its output (as discussed in its subthread).

Meanwhile I should probably implement a "capability done" as Dmitry
hinted, to make blank lines no longer act as a terminator as a way of
helping people debugging by hand that hit <ENTER> too many times by
mistake.